Bug 506937 - networking does not start after NIC change
networking does not start after NIC change
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-19 08:11 EDT by Karel Volný
Modified: 2014-03-16 23:19 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:09:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Volný 2009-06-19 08:11:28 EDT
Description of problem:
During Fedora installation, the network adapter got assigned eth0 name and the networking was ok on subsequent boots. However, after a hardware change, the new NIC got assigned the name eth1 and the original eth0 disappeared. Now the network is unreachable, because the network initscript tries to initialise eth0 which is missing and it fails, while eth1 is left untouched.

Version-Release number of selected component (if applicable):
initscripts-8.95-1

How reproducible:
always

Steps to Reproduce:
1. install Fedora :)
2. turn off your computer
3. pull out NIC
4. stick in another NIC (possibly one that uses another driver)
5. boot the computer
6. watch the boot messages, try service network restart

... ok, you don't have to mess with your hardware, this can be done virtually by using the same Fedora image under different emulators using different NICs
 
Actual results:
a bunch of error messages like "Device eth0 does not seem to be present", network is unreachable

Expected results:
the new NIC takes the place of the old one, no error messages, network usable

Additional info:
well, you don't change NICs so often, but it causes problems trying to migrate between different systems (external drive installation) etc.
Comment 1 Bill Nottingham 2009-06-19 10:42:55 EDT
Using the default NetworkManager setup this should work - long experience has shown that attempting to migrate configs for the old code is not practical.
Comment 2 Karel Volný 2009-06-22 06:56:26 EDT
(In reply to comment #1)
> Using the default NetworkManager setup this should work - long experience has
> shown that attempting to migrate configs for the old code is not practical.  

yep, after installing NetworkManager, without any other manual intervention, after the next boot with another hardware, eth2 got created, which was brought up with dhcp and the Internet connection worked out-of-the-box

but each new package eats up valuable space in my testing setup :)

so, if NetworkManager is the only supported way, and this problem won't be fixed in the "default" scripts, then please change this to RFE - remove the unsupported configuration options and make NetworkManager default
Comment 3 Bill Nottingham 2009-06-22 12:52:52 EDT
NM *is* the default.
Comment 4 Karel Volný 2009-06-23 06:59:58 EDT
(In reply to comment #3)
> NM *is* the default.  

but I had to install it manually, while /etc/init.d/network i.e. initscripts got installed without my intervention ... to be explicit:


[root@kika /]# rpm -qf /etc/init.d/NetworkManager
NetworkManager-0.7.1-4.git20090414.fc11.i586
[root@kika /]# rpm -q --whatrequires NetworkManager
no package requires NetworkManager

[root@kika /]# rpm -qf /etc/init.d/network
initscripts-8.95-1.i586
[root@kika /]# rpm -q --whatrequires initscripts
kbd-1.15-7.fc11.i586
dhclient-4.1.0-20.fc11.i586
plymouth-0.7.0-0.2009.05.15.1.fc11.i586
mkinitrd-6.0.86-2.fc11.i586
hal-0.5.12-26.20090226git.fc11.i586
openssh-5.2p1-2.fc11.i586
Comment 5 Bill Nottingham 2009-06-23 10:04:16 EDT
I'm assuming you unchecked every group on install? (Just making sure...)
Comment 6 Karel Volný 2009-06-23 10:58:40 EDT
(In reply to comment #5)
> I'm assuming you unchecked every group on install? (Just making sure...)  

yes, otherwise I wouldn't be allowed to continue due to limited space

and in addition, the installer died before finishing ...

but this does not change the point - why do I have /etc/init.d/network without requesting it explicitly if /etc/init.d/NetworkManager is the default?
Comment 7 Bill Nottingham 2009-06-23 11:23:25 EDT
It's installed, it's not activated by default.
Comment 11 Bug Zapper 2010-04-27 11:05:41 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2010-06-28 09:09:41 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.